GET /v1/connected_banking/bank_accounts
Returns all linked bank accounts.
Query parameters
| Param | Required | Notes |
|---|---|---|
sub_merchant_id | no | Filter to one sub-merchant. Omit to return all accounts across the merchant. |
bank_account_id | no | Filter to a specific account |
search | no | Free-text search over account number, IFSC, identifier, account name |
partner_bank_id | no | Filter accounts of a specific partner bank |
cursor | no | Pagination cursor from previous response next_cursor. Omit for first page. |
limit | no | Page size, default 25, max 100 |
Success — 200 OK
{
"status": "success",
"data": {
"bank_accounts": [
{
"status": "active",
"partner_bank_id": 8,
"bank_account_id": "9c1914b5-551d-4491-b6f9-e97641e9ab05",
"account_number": "**********9872",
"ifsc": "HDFC0000833",
"account_name": "HDFC BANK",
"identifier": "OPEN HDFC"
},
{
"status": "token_expired",
"partner_bank_id": 79,
"bank_account_id": "75daacea-434f-4e38-a751-5bab7eb121a4",
"account_number": "*******6034",
"ifsc": "IDFB0080151",
"account_name": "Nijil IDFC",
"identifier": "IDFC"
},
{
"status": "active",
"partner_bank_id": 12,
"bank_account_id": "857d8522-f030-4371-8f95-10ac3314fc50",
"account_number": "***********8361",
"ifsc": "UTIB0003093",
"account_name": "",
"identifier": ""
},
{
"status": "token_expired",
"partner_bank_id": 4,
"bank_account_id": "8b299fac-f6a5-4828-89d2-866c8d39b090",
"account_number": "*************7740",
"ifsc": "SBIN0004409",
"account_name": "CURATE HEALTH TECHNOLOGIES PRIVATE LIMITED",
"identifier": "788-1"
},
{
"status": "active",
"partner_bank_id": 1,
"bank_account_id": "8c5a1284-4e41-4bce-be9a-296cbea7c18f",
"account_number": "********6539",
"ifsc": "ICIC0000002",
"account_name": "Nijil Vijayan",
"identifier": "demo"
},
{
"status": "active",
"partner_bank_id": 8,
"bank_account_id": "a565ce4a-92ed-49a0-a5bc-934e0cb251de",
"account_number": "**********5020",
"ifsc": "HDFC0000833",
"account_name": "HDFC BANK",
"identifier": "HDFC NOT WORKING"
},
{
"status": "active",
"partner_bank_id": 4,
"bank_account_id": "adcc50d8-a88b-4437-bd06-5da9e7bdddd1",
"account_number": "*************2383",
"ifsc": "SBIN0005778",
"account_name": "SBI OPEN",
"identifier": "SBI Open"
},
{
"status": "active",
"partner_bank_id": 12,
"bank_account_id": "b92aa41b-f6f4-4a70-ae41-733b9c47b191",
"account_number": "***********0357",
"ifsc": "UTIB0001506",
"account_name": "CIB",
"identifier": "Axis Identifier"
},
{
"status": "active",
"partner_bank_id": 3,
"bank_account_id": "cb2d6d3d-ad58-48a5-9ece-fec7807b085b",
"account_number": "***********1727",
"ifsc": "YESB0000078",
"account_name": "Nijil Vijayan",
"identifier": "Demo"
},
{
"status": "active",
"partner_bank_id": 12,
"bank_account_id": "d88a2124-fdeb-414d-b836-418ee28e31c6",
"account_number": "***********6076",
"ifsc": "UTIB0001799",
"account_name": " NIJIL VIJAYAN",
"identifier": "Demo"
},
{
"status": "token_expired",
"partner_bank_id": 105,
"bank_account_id": "e8c3115c-b0e4-4523-8a24-4afb708a1571",
"account_number": "********2001",
"ifsc": "HSBC0560002",
"account_name": "Open Financial Technologies",
"identifier": "HSBC Test Account"
},
{
"status": "active",
"partner_bank_id": 12,
"bank_account_id": "ee732ef4-4033-4d1c-bccb-b71c359a5320",
"account_number": "***********5977",
"ifsc": "UTIB0003093",
"account_name": "",
"identifier": "Old Axis Identifier"
},
{
"status": "token_expired",
"partner_bank_id": 79,
"bank_account_id": "f2d1f2ec-3f52-434a-ab4f-198580a57b09",
"account_number": "*****3532",
"ifsc": "IDFB0080151",
"account_name": "",
"identifier": ""
},
{
"status": "active",
"partner_bank_id": 31,
"bank_account_id": "f47b621d-e3c4-4deb-aadc-b480d744821f",
"account_number": "*******4866",
"ifsc": "SIMB0002233",
"account_name": "SCB Acc",
"identifier": "Curate Test Ac"
}
]
},
"error": null,
"meta": {
"timestamp": "2026-07-23T11:18:18.601279345Z",
"pagination": {
"cursor": null,
"next_cursor": null,
"limit": 25,
"has_more": false
}
}
}Possible errors: OPN_CB_AL_002, OPN_CB_AL_004, OPN_CB_AL_006
The
partner_bank_idfield maps to the partner bank identifier documented in the Partner bank list.